#pragma once

#include <JuceHeader.h>


class MainComponent  : public juce::Component
{
public:
    //==============================================================================
    MainComponent();
    ~MainComponent() override;


    bool keyPressed(const juce::KeyPress& key) override;
    bool keyStateChanged(bool isKeyDown) override;
    
    void paint (juce::Graphics&) override;
    void resized() override;

private:
    juce::CodeDocument                          m_code_document;
    std::unique_ptr<juce::CodeEditorComponent>  mp_editor;
    juce::Label                                 m_help_text;

    JUCE_DECLARE_NON_COPYABLE_WITH_LEAK_DETECTOR (MainComponent)
};
